Package org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class LocalDataPartitioner

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.LocalDataPartitioner

    public class LocalDataPartitioner
    extends Object

### Constructor Summary

Constructors
`LocalDataPartitioner​(Statement.PSScheme scheme)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataPartitionLocalScheme.Result` `doPartitioning​(int workersNum, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalDataPartitioner

    public LocalDataPartitioner​(Statement.PSScheme scheme)

### Method Detail

#### doPartitioning

    public DataPartitionLocalScheme.Result doPartitioning​(int workersNum,
                                                          MatrixBlock features,
                                                          MatrixBlock labels)